const { Schema, model } = require('mongoose')

const stats = new Schema({
  name: {
    type: String,
    required: true,
  },
  name_arabic: {
    type: String,
  },
  name_jpn: {
    type: String,
  },
  image: {
    type: String,
    required: true,
  },
  image_full: {
    type: Boolean,
    default: false,
    required: true,
  },
  win: {
    type: String,
    required: true,
  },
  goals: {
    type: String,
    required: true,
  },
  shots: {
    type: String,
    required: true,
  },
  saves: {
    type: String,
    required: true,
  },
  assists: {
    type: String,
    required: true,
  },
})

const Stat = model('Stats', stats)

module.exports = Stat
